package es.verdnatura.presentation.common

class ResponseItemVO(
    var response: String = "",
    var isError: Boolean = false,
    var errorMessage: String = "",
    var codeError: Int = 0,
    var routine: String = "",
    var data: Any? = null
)

data class ResponseSign(
    val fileToSign: String = "",
    val isError: Boolean = false,
    val message: String = ""
)

class ResponseHasOlder(
    var shelvingFkIn: String,
    var parking: String? = null,
    var shelvingFkOut: String? = null,
    var itemFk: Int? = null,
    var action: Action,
    var hasOlder: Boolean = false
)

class ResponseItemExistsItemShelvingSale(
    var exists: Boolean,
    var position: Int,
    var quantity: Int
)

class ResponseItemNumber(
    var response: Int? = null,
    var isError: Boolean = false,
    var errorMessage: String = "",
    var codeError: Int = 0
)

class ResponseItemMachineControl(
    var response: String = "",
    var type: String
)

class GeneralItem(
    var code: String? = "",
    var text: String? = ""
)

enum class Action {
    PARKINEAR, TRANSFERIR
}